# Flit HTML

Command line HTML editing, handled via config checked into your code repository

Flit takes a HTML file and a series of operations, and applies the latter to the former. The main
use case is to consistently apply the same edits or transforms to a HTML file that is generated
as part of a CI process.

## Usage

Basic CLI usage:

```shell
USAGE:
    flit [OPTIONS] --input <INPUT> --opfile <OPFILE>

OPTIONS:
    -f, --opfile <OPFILE>    Path to the file defining operations to perform on the html
    -h, --help               Print help information
    -i, --input <INPUT>      Path to the input html file
    -l, --inline             Write the transformed html back to the original file. This will cause
                             --output to be ignored
    -o, --output <OUTPUT>    Path to write the transformed html to. If not present and --inline is
                             not specified, the output will be written to stdout
    -V, --version            Print version information
```

## Downloads

Linux:
- [Latest Release](https://lab.lcr.gr/microhacks/flit/-/jobs/artifacts/trunk/raw/target/release/flit?job=build-linux)
